#if !defined(AFX_APLCHARACTVIEW_H__A8DA9348_22E6_4BB0_BEF4_778671A49FC2__INCLUDED_)
#define AFX_APLCHARACTVIEW_H__A8DA9348_22E6_4BB0_BEF4_778671A49FC2__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000
// aplCharactView.h : header file
//
#include "apl_gui.h"
#include "apl_api.h"
#include "aplPropsView.h"
/////////////////////////////////////////////////////////////////////////////
// CaplCharactView view

class CaplCharactView : public CaplPropsView
{
protected:
	CaplCharactView();           // protected constructor used by dynamic creation
	DECLARE_DYNCREATE(CaplCharactView)

// Attributes
public:

// Operations
public:


	virtual	BOOL	InitColumns(void);
	virtual BOOL	LoadData(void);

	virtual void	OnBAdd(void);
	virtual void	OnBDel(void);
	virtual void	OnBProps(void);

	virtual void	ChangeCtrlsState(void);

protected:

	virtual BOOL	_FillItem(int iPos,CaplInstance* ciIn);

// Overrides
	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CaplCharactView)
	public:
	virtual void OnInitialUpdate();
	protected:
	virtual void OnDraw(CDC* pDC);      // overridden to draw this view
	//}}AFX_VIRTUAL

// Implementation
protected:
	virtual ~CaplCharactView();
#ifdef _DEBUG
	virtual void AssertValid() const;
	virtual void Dump(CDumpContext& dc) const;
#endif

	// Generated message map functions
protected:
	//{{AFX_MSG(CaplCharactView)
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
};

/////////////////////////////////////////////////////////////////////////////

//{{AFX_INSERT_LOCATION}}
// Microsoft Visual C++ will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_APLCHARACTVIEW_H__A8DA9348_22E6_4BB0_BEF4_778671A49FC2__INCLUDED_)
